﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MontoyaTech.MySqlPlus
{
    /// <summary>
    /// The outline of a MySqlRowIndex attribute which allows the specification
    /// of an index for a row.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Struct, AllowMultiple = true, Inherited = true)]
    public class MySqlRowIndex : Attribute
    {
        public string Name;

        public string[] Columns;

        public MySqlRowIndex() { }

        public MySqlRowIndex(string name, params string[] columns)
        {
            if (columns == null || columns.Length == 0)
                throw new ArgumentException("Columns must not be null or 0.");

            this.Name = name;

            this.Columns = columns;
        }
    }
}
